> ## Documentation Index
> Fetch the complete documentation index at: https://docs.briq.tz/llms.txt
> Use this file to discover all available pages before exploring further.

# Send Campaign Message

> Send a message to all contacts in a campaign.

Headers:
    X-API-Key: Required - Your API key for authentication
    X-App-ID: Optional - Your developer app ID for webhook notifications



## OpenAPI

````yaml /openapi.json post /v1/message/send-campaign
openapi: 3.1.0
info:
  title: Briq API
  description: Karibu Briq API Documentation
  version: '0.8'
servers:
  - url: https://karibu.briq.tz
    description: Production
  - url: https://pre-release.karibu.briq.tz
    description: Pre-release
  - url: http://karibu.briq.tz
    description: LocalPass
security: []
paths:
  /v1/message/send-campaign:
    post:
      tags:
        - Karibu-Messages
      summary: Send Campaign Message
      description: |-
        Send a message to all contacts in a campaign.

        Headers:
            X-API-Key: Required - Your API key for authentication
            X-App-ID: Optional - Your developer app ID for webhook notifications
      operationId: send_campaign_message_v1_message_send_campaign_post
      parameters:
        - name: X-API-Key
          in: header
          required: true
          schema:
            type: string
            title: X-Api-Key
        - name: X-App-ID
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-App-Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SendCampaignMessageRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    SendCampaignMessageRequest:
      properties:
        campaign_id:
          type: string
          title: Campaign Id
        content:
          type: string
          title: Content
          examples:
            - >-
              Greetings from Briq! We're here to make communication simple,
              reliable, and seamless. The future of messaging is bright.
        sender_id:
          type: string
          maxLength: 13
          minLength: 2
          title: Sender Id
        start_date:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Start Date
          description: When sending starts
        end_date:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: End Date
        frequency:
          anyOf:
            - $ref: '#/components/schemas/CampaignFrequency'
            - type: 'null'
          default: once
      type: object
      required:
        - campaign_id
        - content
        - sender_id
      title: SendCampaignMessageRequest
      description: Campaign sending Request Schema.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CampaignFrequency:
      type: string
      enum:
        - once
        - hourly
        - daily
        - weekly
        - monthly
      title: CampaignFrequency
      description: Campaign Frequency.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````